program bluecreations;

uses crush13h,crt;

var x,y:integer;
    count1,add1:integer;
    count2,add2:integer;
    c:char;

begin
     video_mode ( $13);
     initvirt;
     inittables;

     loadpcx ('..\skyscape\cloud2.pcx',vp[2]);
     cls (0,vp[1]);
     cls (0,vga);

     for y:=0 to 140 do
         begin
              for x:=0 to 319 do
              begin
                   mem[vp[1]:x+y*320]:=y*2;
              end;
         end;

     for y:=128 to 199 do
         begin
              for x:=0 to 319 do
              begin
                   mem[vp[1]:x+y*320]:=245-y;
              end;
         end;

     move (mem[vp[1]:0],mem[vga:0],64000);

     repeat

     waitvbl;

     if keypressed=true then c:=readkey;

     until c=#27;

     cleartables;
     closevirt;
     video_mode ( 03);

end.